Subject: Re: [BUG] ** glob pattern in git diff doesn't match root directory

From: =?utf-8?B?w4Z2YXIgQXJuZmrDtnLDsA==?=Bjarmason <[email-masked]>
Date: Mon, 26 Apr 2021 10:23:32 +0200

On Sat, Apr 24 2021, Felipe Contreras wrote:

> Shoaib Meenai wrote:
>> Am I misunderstanding how `**` should work, or is this a bug?
>
> I would say this is a bug, but I'm not familiar with pathspecs.

I replied on the "is it a bug" upthread...

> I stumbled upoon a very similar issue (I wanted to find all the *.jpg in
> the repository). I couldn't find another way to do it but:
>
>   git diff ':(glob)**/foo'

Maybe I'm missing something, but if you want to find all *.jpg isn't
that just:

    git diff '*.jpg'

?